// A whitelist for ingame variables.  Used to init the game or fill in gaps.  Also used as a whitelist.  Anything not on this list will be removed on BC.
App.Data.defaultGameStateVariables = {
	// Page
	returnTo: "init",
	nextButton: "Continue",
	nextLink: "Alpha disclaimer",
	storedLink: "",

	// Version
	ver: 0,
	pmodVer: 0,
	releaseID: 0,

	// Slaves
	/** @type {Object.<number, number>} */
	slaveIndices: {},
	genePool: [],
	missingTable: {},
	/** @type {App.Entity.SlaveState[]} */
	slaves: [],

	// PC
	/** @type {App.Entity.PlayerState} */
	PC: {},
	freshPC: 0,
	IsInPrimePC: 3,
	IsPastPrimePC: 5000,
	PCTitle: "",
	playerAging: 2,

	// Save
	saveImported: 0,

	// Other
	cheater: 0,
	cash: 0,
	cashLastWeek: 0,
	taintedSaveFile: 0,

	// UI content
	UI: {
		slaveSummary: {
			abbreviation: {
				clothes: 2,
				devotion: 2,
				diet: 2,
				drugs: 2,
				genitalia: 2,
				health: 2,
				hormoneBalance: 2,
				mental: 2,
				nationality: 2,
				origins: 2,
				physicals: 2,
				race: 2,
				rules: 2,
				rulesets: 2,
				skills: 2,
			}
		}
	},
	FSNamePref: 0,
	HGFormality: 1,
	HGSeverity: 0,
	abbreviateSidebar: 1,
	adamPrinciple: 0,
	allowFamilyTitles: 0,
	allowMaleSlaveNames: false,
	autosave: 1,
	baseDifficulty: 3,
	dangerousPregnancy: 0,
	debugMode: 0,
	debugModeCustomFunction: 0,
	difficultySwitch: 0,
	disableLisping: 0,
	displayAssignments: 1,
	economy: 100,
	expansionRequestsAllowed: 1,
	extremeUnderage: 0,
	formatNumbers: 1,
	fucktoyInteractionsPosition: 1,
	headGirlSoftensFlaws: 1,
	headGirlTrainsFlaws: 1,
	headGirlTrainsHealth: 1,
	headGirlTrainsObedience: 1,
	headGirlTrainsParaphilias: 1,
	headGirlTrainsSkills: 1,
	imageChoice: 1,
	inbreeding: 1,
	killChoice: -1,
	lineSeparations: 1,
	limitFamilies: 0,
	makeDicks: 0,
	modRequestsAllowed: 1,
	neighboringArcologies: 3,
	neighborDisplay: "list",
	newDescriptions: 0,
	newModelUI: 1,
	nicknamesAllowed: 1,
	positionMainLinks: -1,
	profiler: 0,
	realRoyalties: 0,
	retainCareer: 1,
	ngpParams: {},
	rulesAssistantAuto: 0,
	rulesAssistantMain: 1,
	seeAge: 1,
	seeArcology: 1,
	seeAvatar: 1,
	seeBestiality: 0,
	seeCircumcision: 1,
	seeDesk: 1,
	seeDetails: 1,
	seeDicks: 25,
	seeDicksAffectsPregnancy: 1,
	seeExtreme: 0,
	seeFCNN: 1,
	seeFaces: 1,
	seeHeight: 0,
	seeHyperPreg: 0,
	seeIllness: 1,
	seeImages: 0,
	seeIncest: 1,
	seeMainFetishes: 0,
	seeNationality: 1,
	seePee: 1,
	seePreg: 1,
	seeRace: 1,
	seeReportImages: 1,
	seeSummaryImages: 1,
	seeVectorArtHighlights: 1,
	showAgeDetail: 1,
	showAppraisal: 1,
	showAssignToScenes: 1,
	showBodyMods: 1,
	showBoobCCs: 1,
	showClothing: 1,
	showDickCMs: 1,
	showDistantRelatives: 0,
	showEWD: 1,
	showEWM: 1,
	showEconomicDetails: 0,
	showHeightCMs: 1,
	showImplantEffects: 1,
	showInches: 1,
	showMissingSlaves: false,
	showMissingSlavesSD: false,
	showNeighborDetails: 1,
	showNumbers: 2,
	showNumbersMax: 20,
	showScores: 1,
	showSexualHistory: 1,
	showTipsFromEncy: 1,
	showVignettes: 1,
	slavePanelStyle: 1,
	sortSlavesBy: "devotion",
	sortSlavesMain: 1,
	sortSlavesOrder: "descending",
	summaryStats: 0,
	surnameOrder: 0,
	/** @type {Object.<string, string>} */
	tabChoice: {Main: "all"},
	universalRulesAssignsSelfFacility: 0,
	universalRulesBirthing: 0,
	universalRulesCSec: 0,
	universalRulesChildrenBecomeBreeders: 0,
	universalRulesConsent: 0,
	universalRulesFacilityWork: 1,
	universalRulesImmobileSlavesMaintainMuscles: 0,
	universalRulesImpregnation: "none",
	universalRulesNewSlavesRA: 1,
	universalRulesRest: 0,
	useAccordion: 1,
	useFSNames: 1,
	useSlaveListInPageJSNavigation: 0,
	useSlaveSummaryOverviewTab: 0,
	useSlaveSummaryTabs: 0,
	useTabs: 0,
	verboseDescriptions: 0,
	verticalizeArcologyLinks: 0,
	weightAffectsAssets: 1,
	curativeSideEffects: 1,
	disableTiredness: 1,
	disableLongDamage: 1,
	// Last-used strings in Locate Slave
	findName: "",
	findBackground: "",
	findData: "",

	// eslint-disable-next-line camelcase
	pedo_mode: 0,
	minimumSlaveAge: 16,
	fertilityAge: 13,
	potencyAge: 13,
	AgePenalty: 1,
	precociousPuberty: 0,
	loliGrow: 0,
	retirementAge: 45,
	customRetirementAge: 45,
	customMenialRetirementAge: 65,
	sortIncubatorList: "Unsorted",
	AgeEffectOnTrainerPricingPC: 1,
	AgeEffectOnTrainerEffectivenessPC: 1,
	AgeTrainingUpperBoundPC: 14,
	AgeTrainingLowerBoundPC: 12,
	childSex: 0,
	showClothingErection: true,

	// Default location
	continent: "North America",
	terrain: "rural",
	language: "English",

	AProsperityCapModified: 0,
	secExpEnabled: 0,
};

// Corp data
App.Data.CorpInitData = {
	Announced: 0,
	Incorporated: 0,
	Market: 0,
	Econ: 0,
	CashDividend: 0,
	Div: 0,
	ExpandToken: 0,
	Spec: 0,
	SpecToken: 0,
	SpecRaces: []
};

// Black Market
App.Data.FSWares = [
	"AssetExpansionistResearch",
	"GenderRadicalistResearch",
	"HedonisticDecadenceResearch",
	"SlaveProfessionalismResearch",
	"SlimnessEnthusiastResearch",
	"TransformationFetishistResearch",
	"YouthPreferentialistResearch",
];

App.Data.illegalWares = [
	"AnimalOrgans",
	"asexualReproduction",
	"BlackmarketPregAdaptation",
	"childhoodFertilityInducedNCS",
	"PGHack",
	"RapidCellGrowthFormula",
	"sympatheticOvaries",
	"UterineRestraintMesh",
];


// The other half of the above whitelist.  However, entries in this array will be forced to the values set here upon starting NG+.
App.Data.resetOnNGPlus = {
	policies: {
		retirement: {
			sex: 0,
			milk: 0,
			cum: 0,
			births: 0,
			kills: 0,

			fate: "menial slave",
			menial2Citizen: 0,
			customAgePolicy: 0,
			physicalAgePolicy: 0
		},
		SMR: {
			basicSMR: 1,
			healthInspectionSMR: 0,
			educationSMR: 0,
			frigiditySMR: 0,
			weightSMR: 0,
			honestySMR: 0,

			beauty: {
				basicSMR: 0,
				qualitySMR: 0
			},
			height: {
				basicSMR: 0,
				advancedSMR: 0
			},
			intelligence: {
				basicSMR: 0,
				qualitySMR: 0
			},
			eugenics: {
				faceSMR: 0,
				heightSMR: 0,
				intelligenceSMR: 0
			}
		},

		childProtectionAct: 1,
		culturalOpenness: 0,
		proRefugees: 0,
		publicFuckdolls: 0,

		proRecruitment: 0,
		cash4Babies: 0,
		regularParties: 0,
		publicPA: 0,
		coursingAssociation: 0,

		raidingMercenaries: 0,
		mixedMarriage: 0,
		goodImageCampaign: 0,
		alwaysSubsidizeRep: 0,
		alwaysSubsidizeGrowth: 0,

		immmigrationCash: 0,
		immmigrationRep: 0,
		enslavementCash: 0,
		enslavementRep: 0,
		cashForRep: 0,

		oralAppeal: 0,
		vaginalAppeal: 0,
		analAppeal: 0
	},

	FCTV: {},
	assistant: {},
	targetArcology: {fs: "New"},
	readySlaves: 0,

	slaveDead: 0,
	plot: 1,
	assignmentRecords: {},
	marrying: [], // array of slave being married this week
	organs: [],
	corp: App.Data.CorpInitData,
	dividendTimer: 0,
	dividendRatio: 0,
	personalShares: 0,
	publicShares: 0,
	SF: {},
	recuriterOffice: 0,
	focus: "social engineering",
	thisWeeksFSWares: 0,
	thisWeeksIllegalWares: 0,
	Sweatshops: 0,

	milkTap: 0,
	militiaRecruitmen: 0,
	rivalID: 0,
	eliteAuctioned: 0,
	slavesSacrificedThisWeek: 0,
	subSlaves: 0,

	PopCap: 0,
	HGtraining: "",
	mercenariesTitle: "",
	milk: 0,
	cum: 0,
	hormones: 0,
	milkSale: 0,
	FSReminder: 0,
	facility: {},
	boomerangStats: {},
	FSNonconformist: "",
	econAdvantage: 0,
	attackType: "none",
	attackThisWeek: 0,
	lastAttackWeeks: 0,
	lastRebellionWeeks: 0,
	hasFoughtOnce: 0,
	hasFoughtMajorBattleOnce: 0,
	hasRebelledOnce: 0,
	majorBattle: 0,
	PCvictoryStreak: 0,
	PClossStreak: 0,
	foughtThisWeek: 0,
	/* edicts */
	alternativeRents: 0,
	enslavementRights: 0,
	securityExemption: 0,
	sellData: 0,
	propCampaignBoost: 0,
	slaveWatch: 0,
	subsidyChurch: 0,
	limitImmigration: 0,
	openBorders: 0,
	slavesOfficers: 0,
	martialSchool: 0,
	discountMercenaries: 0,
	militiaFounded: 0,
	recruitVolunteers: 0,
	conscription: 0,
	militaryService: 0,
	militarizedSociety: 0,
	militaryExemption: 0,
	lowerRquirements: 0,
	noSubhumansInArmy: 0,
	pregExemption: 0,
	eliteOfficers: 0,
	liveTargets: 0,
	legionTradition: 0,
	eagleWarriors: 0,
	ronin: 0,
	sunTzu: 0,
	mamluks: 0,
	pharaonTradition: 0,
	weaponsLaw: 3,
	soldierWages: 1,
	militiaSoldierPrivilege: 0,
	slaveSoldierPrivilege: 0,
	mercSoldierPrivilege: 0,
	tradeLegalAid: 0,
	taxTrade: 0,

	/* buildings */
	secHQ: 0,
	secMenials: 0,
	secUpgrades: {},
	crimeUpgrades: {},
	intelUpgrades: {},
	readinessUpgrades: {},
	riotCenter: 0,
	riotUpgrades: {},
	fort: {},
	sentUnitCooldown: 0,
	advancedRiotEquip: 0,
	brainImplant: -1,
	brainImplantProject: 0,
	weapMenials: 0,
	weapManu: 0,
	weapProductivity: 1,
	weapLab: 1,
	baseUpgradeTime: 10,
	weapUpgrades: [],
	currentUpgrade: {},
	droneUpgrades: {},
	humanUpgrade: {},
	sellTo: {},
	completedUpgrades: [],
	transportHub: 0,
	airport: 1,
	railway: 1,
	docks: 1,
	hubSecurity: 1,

	/* events */
	smilingManProgress: 0,
	investedFunds: 0,
	relationshipLM: 0,
	smilingManWeek: 0,
	globalCrisisWeeks: 0,
	smilingManFate: 4,

	/* rebellions */
	tension: 0,
	slaveProgress: 0,
	citizenProgress: 0,
	slaveRebellionEventFires: 0,
	citizenRebellionEventFires: 0,
	slaveRebellion: 0,
	citizenRebellion: 0,
	engageRule: 0,
	irregulars: 0,
	repairTime: 3,
	arcRepairTime: 0,
	garrison: {},
	rebellionsCount: 0,
	PCrebWon: 0,
	PCrebLoss: 0,

	/* armed forces stats */
	targetUnit: 0,
	targetIndex: 0,
	secBotsCost: 500,
	secBotsUpgradeCost: 250,
	equipUpgradeCost: 250,
	maxTroops: 30,
	militiaFreeManpower: 0,
	militiaTotalCasualties: 0,
	slavesTotalCasualties: 0,
	slavesMaxTroops: 30,
	mercFreeManpower: 0,
	mercTotalCasualties: 0,
	createdSlavesUnits: 0,
	createdMilitiaUnits: 0,
	createdMercUnits: 0,

	/* battle relevant vars */
	slaveVictories: [],
	totalKills: 0,
	battlesCount: 0,
	majorBattlesCount: 0,
	chosenTactic: "none",
	leadingTroops: "none",
	attackTroops: 0,
	attackEquip: 0,
	battleTerrain: "none",
	maxTurns: 10,
	battleResult: 4,
	/* sets battleResult value outside accepted range (-3,3) to avoid evaluation problems */
	losses: 0,
	enemyLosses: 0,
	battleTurns: 0,
	tacticsSuccessful: 0,
	leaderWounded: 0,
	gainedCombat: 0,
	gainedWarfare: 0,
	SFIntervention: 0,
	rebellingID: [],
	saveValid: 0,
	lastSelection: [],

	/* units */
	/** @type {FC.SecExp.PlayerUnitData} */
	secBots: {
		active: 0,
		ID: -1,
		isDeployed: 0,
		troops: 0,
		maxTroops: 0,
		equip: 0
	},

	/** @type {FC.SecExp.PlayerHumanUnitData[]} */
	militiaUnits: [],
	/** @type {FC.SecExp.PlayerHumanUnitData[]} */
	slaveUnits: [],
	/** @type {FC.SecExp.PlayerHumanUnitData[]} */
	mercUnits: [],

	/* SFanon additions */
	SFSupportLevel: 0,
	SFGear: 0,
	SavedLeader: 0,
	SavedSFI: 0,
	sectionInFirebase: 0,

	/* base vars */
	SecExp: {},
	PCvictories: 0,
	PClosses: 0,

	reminderEntry: "",
	reminderWeek: "",
	lastWeeksCashIncome: {},
	lastWeeksCashExpenses: {},
	lastWeeksCashProfits: {},
	lastWeeksRepIncome: {},
	lastWeeksRepExpenses: {},
	lastWeeksRepProfits: {},
	lastWeeksGatheredTotals: {},
	currentRule: {},
	costs: 0,
	seeBuilding: 0,
	slaveOneTimeMinAge: 0,
	slaveOneTimeMaxAge: 0,
	purchasedSagBGone: 0,
	eliteFail: 0,
	eliteFailTimer: 0,
	nurseryGrowthStimsSetting: 0,
	MadamIgnoresFlaws: 0,
	farmyardBreeding: 0,
	farmyardShows: 0,
	DJignoresFlaws: 0,
	slaveFightingBG: 0,
	HGSlaveSuccess: 0,
	unMadam: 0,
	madamCashBonus: 0,
	whorePriceAdjustment: {},
	unDJ: 0,
	DJRepBonus: 0,
	fuckSlaves: 0,
	freeSexualEnergy: 0,
	publicServants: 0,
	averageDick: 0,
	slavesWithWorkingDicks: 0,
	slaveJobValues: {},

	fluid: 0,
	cumSale: 0,
	localEcon: 0,
	econRate: 0,
	drugsCost: 0,
	rulesCost: 0,
	modCost: 0,
	surgeryCost: 0,
	/** @type {FC.ArcologyState[]} */
	arcologies: [],
	HackingSkillMultiplier: 0,
	upgradeMultiplierArcology: 0,
	upgradeMultiplierMedicine: 0,
	upgradeMultiplierTrade: 0,
	nationalities: {},
	/** @type {Object.<string, Set<number>>} */
	JobIDMap: {},
	averageTrust: 0,
	averageDevotion: 0,
	enduringTrust: 0,
	enduringDevotion: 0,
	/** @type {App.RA.Rule[]} */
	defaultRules: [],

	REFeminizationCheckinIDs: [],
	REMILFCheckinIDs: [],
	REOrientationCheckinIDs: [],
	REUglyCheckinIDs: [],
	REButtholeCheckinIDs: [],
	REFutaSisterCheckinIDs: [],
	REReductionCheckinIDs: [],
	/** @type {FC.SlaveStateOrZero} */
	activeSlave: 0,
	activeChild: 0,
	reminders: [],

	/** @type {FC.SlaveStateOrZero} */
	boomerangSlave: 0,
	boomerangWeeks: 0,
	boomerangBuyer: 0,

	bioreactorPerfectedID: 0,

	independenceDay: 0,
	invasionVictory: 0,
	daughtersVictory: 0,

	dormitory: 20,
	dormitoryPopulation: 0,
	rooms: 5,
	roomsPopulation: 0,

	brothelDecoration: "standard",
	brothelUpgradeDrugs: 0,
	brothelAdsSpending: 0,
	brothelAdsOld: 0,
	brothelAdsModded: 0,
	brothelAdsImplanted: 0,
	brothelAdsStacked: 0,
	brothelAdsPreg: 0,
	brothelAdsXX: 0,
	brothelName: "the Brothel",
	brothelNameCaps: "The Brothel",
	brothel: 0,
	brothelBoost: {
		selected: 0, eligible: 0
	},
	dairyDecoration: "standard",
	dairyPrepUpgrade: 0,
	dairyStimulatorsUpgrade: 0,
	dairyStimulatorsSetting: 0,
	dairyStimulatorsSettingChanged: 0,
	dairyFeedersUpgrade: 0,
	dairyFeedersSetting: 0,
	dairyFeedersSettingChanged: 0,
	dairyPregUpgrade: 0,
	dairyPregSetting: 0,
	dairyPregSettingChanged: 0,
	dairyRestraintsUpgrade: 0,
	dairyRestraintsSetting: 0,
	dairySlimMaintainUpgrade: 0,
	dairySlimMaintain: 0,
	dairyHyperPregRemodel: 0,
	dairyWeightSetting: 0,
	dairyImplantsSetting: 1,
	dairyUpgradeMenials: 0,
	createBioreactors: 0,
	bioreactorsAnnounced: 0,
	bioreactorsHerm: 0,
	bioreactorsXX: 0,
	bioreactorsXY: 0,
	bioreactorsBarren: 0,
	dairyName: "the Dairy",
	dairyNameCaps: "The Dairy",
	dairy: 0,
	cumSlaves: 0,
	clubDecoration: "standard",
	clubUpgradePDAs: 0,
	clubAdsSpending: 0,
	clubAdsOld: 0,
	clubAdsModded: 0,
	clubAdsImplanted: 0,
	clubAdsStacked: 0,
	clubAdsPreg: 0,
	clubAdsXX: 0,
	clubName: "the Club",
	clubNameCaps: "The Club",
	club: 0,
	servantsQuartersDecoration: "standard",
	servantsQuartersUpgradeMonitoring: 0,
	servantsQuarters: 0,
	servantsQuartersName: "the Servants' Quarters",
	servantsQuartersNameCaps: "The Servants' Quarters",
	schoolroomDecoration: "standard",
	schoolroomUpgradeSkills: 0,
	schoolroomUpgradeLanguage: 0,
	schoolroomUpgradeRemedial: 0,
	schoolroomRemodelBimbo: 0,
	schoolroom: 0,
	schoolroomName: "the Schoolroom",
	schoolroomNameCaps: "The Schoolroom",
	spaDecoration: "standard",
	spa: 0,
	spaSpots: 0,
	spaUpgrade: 0,
	spaFix: 0,
	spaName: "the Spa",
	spaNameCaps: "The Spa",

	// Incubator Subsection
	incubator: 0,
	incubatorSlaves: 0,
	incubatorBulkRelease: 0,
	incubatorOrgans: [],
	incubatorOldID: 0,
	incubatorUpgradeSpeed: 5,
	incubatorUpgradeWeight: 0,
	incubatorUpgradeMuscles: 0,
	incubatorUpgradeGrowthStims: 0,
	incubatorUpgradeReproduction: 0,
	incubatorUpgradeOrgans: 0,
	incubatorImprintSetting: "trust",
	incubatorWeightSetting: 0,
	incubatorMusclesSetting: 0,
	incubatorGrowthStimsSetting: 0,
	incubatorReproductionSetting: 0,
	incubatorUpgradePregAdaptation: 0,
	incubatorPregAdaptationSetting: 0,
	incubatorPregAdaptationPower: 0,

	incubatorName: "the Incubator",
	incubatorNameCaps: "The Incubator",
	reservedChildren: 0,
	tanks: [],

	clinicDecoration: "standard",
	clinic: 0,
	clinicUpgradeFilters: 0,
	clinicUpgradeScanner: 0,
	clinicUpgradePurge: 0,
	clinicObservePregnancy: 1,
	clinicInflateBelly: 0,
	clinicSpeedGestation: 0,
	clinicName: "the Clinic",
	clinicNameCaps: "The Clinic",
	arcadeDecoration: "standard",
	arcadeUpgradeInjectors: 0,
	arcadeUpgradeFuckdolls: 0,
	arcadeUpgradeCollectors: 0,
	arcadeUpgradeHealth: -1,
	arcadeName: "the Arcade",
	arcadeNameCaps: "The Arcade",
	arcade: 0,
	fuckdollsSold: 0,
	cellblockDecoration: "standard",
	cellblockUpgrade: 0,
	cellblock: 0,
	cellblockName: "the Cellblock",
	cellblockNameCaps: "The Cellblock",
	cellblockWardenCumsInside: 1,
	masterSuiteDecoration: "standard",
	masterSuiteUpgradeLuxury: 0,
	masterSuiteUpgradePregnancy: 0,				/* Is the upgrade active? */
	masterSuitePregnancyFertilityDrugs: 0,			/* Are slaves being put on fertility drugs? */
	masterSuitePregnancyFertilitySupplements: 0,	/* Are those drugs being supplemented (health benefits and (even) more multiple pregnancies) */
	masterSuitePregnancySlaveLuxuries: 0,			/* Are the slaves being given some nicer things to reduce stress during preg? (health/devotion/trust benefits) */
	universalHGImpregnateMasterSuiteToggle: 0,		/* Will the HG impregnate fertile slaves in the MS? */
	masterSuiteHyperPregnancy: 0,
	masterSuite: 0,
	masterSuiteName: "the Master Suite",
	masterSuiteNameCaps: "The Master Suite",

	// Nursery Subsection
	nursery: 0,						/* counts the number of children the nursery can support */
	nurseryNannies: 0,					/* counts the number of nannies the nursery can support */
	nurseryBabies: 0,					/* counts the number of children currently in the nursery */
	MatronInfluence: 0,				/* check for whether the children are influenced by the Matron */
	nannyInfluence: 0,					/* check for whether the children are influenced by the nannies */
	nurseryDecoration: "standard",
	nurseryWeight: 0,
	nurseryMuscles: 0,
	nurseryHormones: 0,
	nurseryOrgans: 0,					/* not currently in use */
	nurseryImprintSetting: 0,
	nurseryWeightSetting: 0,
	nurseryMusclesSetting: 0,
	nurseryHormonesSetting: 0,
	nurseryName: "the Nursery",
	nurseryNameCaps: "The Nursery",
	reservedChildrenNursery: 0,
	cribs: [],							/* array of children in the nursery */
	cribsIndices: {},
	sortNurseryList: "Unsorted",
	targetAgeNursery: 18,

	// Farmyard Subsection %/
	farmyard: 0,
	farmyardShowgirls: [],			/* array of farmhands putting on shows */
	farmyardFarmers: [],			/* array of farmhands farming */
	farmMenials: 0,
	farmMenialsSpace: 0,
	farmyardDecoration: "standard",
	farmyardUpgrade: {
		pump: 0, fertilizer: 0, hydroponics: 0, machinery: 0, seeds: 0
	},
	farmyardCrops: 0,
	farmyardStable: 0,
	farmyardKennels: 0,
	farmyardCages: 0,
	activeCanine: 0,
	activeHooved: 0,
	activeFeline: 0,
	animalsBought: {
		canines: 0, hooved: 0, felines: 0, labradorRetrievers: 0, germanShepherds: 0, goldenRetrievers: 0, frenchBulldogs: 0, bulldogs: 0, beagles: 0, poodles: 0, rottweilers: 0, yorkshireTerriers: 0, siberianHuskies: 0, horses: 0, bulls: 0, pigs: 0, siameses: 0, persians: 0, maineCoons: 0, ragdolls: 0, bengals: 0, abbysinians: 0, birmans: 0, orientalShorthairs: 0, sphynxes: 0, russianBlues: 0, wolves: 0, foxes: 0, jackals: 0, dingos: 0, zebras: 0, cougars: 0, jaguars: 0, pumas: 0, lynx: 0, leopards: 0, lions: 0, tigers: 0
	},
	canines: [],
	hooved: [],
	felines: [],
	farmyardName: "the Farmyard",
	farmyardNameCaps: "The Farmyard",

	HGSuite: 0,
	HGSuiteSurgery: 1,
	HGSuiteDrugs: 1,
	HGSuiteHormones: 1,
	HGSuiteEquality: 0,
	HGSuiteName: "the Head Girl Suite",
	HGSuiteNameCaps: "The Head Girl Suite",
	fighterIDs: [],
	pitBG: 0,
	pitAnimal: 0,
	pitAnimalType: 0,
	pitAudience: "none",
	pitLethal: 0,
	pitVirginities: 0,
	pitFought: 0,
	pit: 0,
	pitName: "the Pit",
	pitNameCaps: "The Pit",
	dojo: 0,
	feeder: 0,
	cockFeeder: 0,
	suppository: 0,
	weatherCladding: 0,
	weatherAwareness: 0,
	boobAccessibility: 0,
	servantMilkers: 0,
	servantMilkersMultiplier: 1,

	studio: 0,
	studioFeed: 0,
	PCSlutContacts: 1,

	/* Porn star counts (prestige 1) and ID's (prestige 3) */
	pornStars: {},

	pregInventor: 0,
	pregInventorID: 0,
	pregInventions: 0,

	legendaryWhoreID: 0,
	legendaryEntertainerID: 0,
	legendaryCowID: 0,
	legendaryBallsID: 0,
	legendaryWombID: 0,
	legendaryAbolitionistID: 0,

	FSAnnounced: 0,
	FSGotRepCredits: 0,
	FSCreditCount: 5,
	FSSingleSlaveRep: 10,
	FSSpending: 0,
	FSLockinLevel: 100,
	FSPromenade: {
		Subjugationist: 0, Supremacist: 0, GenderRadicalist: 0, GenderFundamentalist: 0, Paternalist: 0, Degradationist: 0, BodyPurist: 0, TransformationFetishist: 0, YouthPreferentialist: 0, MaturityPreferentialist: 0, SlimnessEnthusiast: 0, AssetExpansionist: 0, Pastoralist: 0, PhysicalIdealist: 0, ChattelReligionist: 0, RomanRevivalist: 0, AztecRevivalist: 0, EgyptianRevivalist: 0, EdoRevivalist: 0, ArabianRevivalist: 0, ChineseRevivalist: 0, Repopulationist: 0, Eugenics: 0, Hedonism: 0, IntellectualDependency: 0, SlaveProfessionalism: 0, PetiteAdmiration: 0, StatuesqueGlorification: 0
	},

	// new corporation variables
	newCorp: 1,
	vanillaShareSplit: 1,

	/* Slave sexual services and goods variables */
	classSatisfied: {
		lowerClass: 0, middleClass: 0, upperClass: 0, topClass: 0
	},
	whoreBudget: {
		lowerClass: 7, middleClass: 40, upperClass: 200, topClass: 1500
	},
	sexDemandResult: {
		lowerClass: 0, middleClass: 0, upperClass: 0, topClass: 0
	},
	arcadePrice: 2,
	clubSlaveSexAmount: 0,

	shelterSlave: 0,
	shelterSlaveBought: 0,
	shelterAbuse: 0,
	shelterSlaveGeneratedWeek: 0,

	// alternate clothing access variables
	clothesBoughtBunny: 0,
	clothesBoughtConservative: 0,
	clothesBoughtChains: 0,
	clothesBoughtWestern: 0,
	clothesBoughtOil: 0,
	clothesBoughtHabit: 0,
	clothesBoughtToga: 0,
	clothesBoughtHuipil: 0,
	clothesBoughtKimono: 0,
	clothesBoughtHarem: 0,
	clothesBoughtQipao: 0,
	clothesBoughtEgypt: 0,
	clothesBoughtBelly: 0,
	clothesBoughtMaternityDress: 0,
	clothesBoughtMaternityLingerie: 0,
	clothesBoughtLazyClothes: 0,
	clothesBoughtBimbo: 0,
	clothesBoughtCourtesan: 0,
	shoesBoughtHeels: 0,
	clothesBoughtPetite: 0,
	// non-fs
	clothesBoughtMilitary: 0,
	clothesBoughtCultural: 0,
	clothesBoughtMiddleEastern: 0,
	clothesBoughtPol: 0,
	clothesBoughtCostume: 0,
	clothesBoughtPantsu: 0,
	clothesBoughtCareer: 0,
	clothesBoughtDresses: 0,
	clothesBoughtBodysuits: 0,
	clothesBoughtCasual: 0,
	clothesBoughtUnderwear: 0,
	clothesBoughtSports: 0,
	clothesBoughtPony: 0,
	clothesBoughtSwimwear: 0,
	toysBoughtDildos: 0,
	toysBoughtGags: 0,
	toysBoughtVaginalAttachments: 0,
	toysBoughtButtPlugs: 0,
	toysBoughtButtPlugTails: 0,
	toysBoughtSmartVibes: 0,
	buckets: 0,

	specialSlavesPriceOverride: 0,
	pregAccessibility: 0,
	dickAccessibility: 0,
	ballsAccessibility: 0,
	buttAccessibility: 0,
	ageMode: 0,
	enema: 0,
	medicalEnema: 0,
	dairyPiping: 0,
	inflatedSlavesMilk: 0,
	inflatedSlavesCum: 0,
	milkPipeline: 0,
	cumPipeline: 0,
	wcPiping: 0,
	burstee: 0,
	slaveDeath: 0,
	playerBred: 0,
	propOutcome: 0,
	EliteSires: ["crazy", "futa", "moves", "preggo", "quick", "virgin"],
	startingPoint: -1,
	raped: -1,
	children: [],
	missingParentID: -10000,
	startingSlaveRelative: 0,
	mom: 0,
	/* animalParts: 0,*/
	originOveride: 0,
	pregSpeedControl: 0,
	playerSurgery: 0,
	bodyswapAnnounced: 0,
	surnamesForbidden: 0,
	menstruation: 0,
	FCNNstation: 0,
	MercenariesMessageSent: 0,
	SpecialForcesMessageSent: 0,
	BodyguardHasSucessfullyRecivedSignal: 0,
	finalChoice: "none",
	eliteTotal: 12,
	eliteDead: 0,
	eliteVegetable: 0,
	eliteFate: 0,
	swanSong: 0,
	swanSongWeek: 99999,
	failedElite: 0,
	eugenicsFullControl: 0,
	badC: 0,
	badB: 0,

	schoolSuggestion: 0,
	TSS: {
		schoolUpgrade: 0, schoolPresent: 0, schoolProsperity: 0, subsidize: 0, schoolAnnexed: 0, studentsBought: 0, schoolSale: 0
	},
	GRI: {
		schoolUpgrade: 0, schoolPresent: 0, schoolProsperity: 0, subsidize: 0, schoolAnnexed: 0, studentsBought: 0, schoolSale: 0
	},
	SCP: {
		schoolUpgrade: 0, schoolPresent: 0, schoolProsperity: 0, subsidize: 0, schoolAnnexed: 0, studentsBought: 0, schoolSale: 0
	},
	LDE: {
		schoolUpgrade: 0, schoolPresent: 0, schoolProsperity: 0, subsidize: 0, schoolAnnexed: 0, studentsBought: 0, schoolSale: 0
	},
	TGA: {
		schoolUpgrade: 0, schoolPresent: 0, schoolProsperity: 0, subsidize: 0, schoolAnnexed: 0, studentsBought: 0, schoolSale: 0
	},
	TCR: {
		schoolUpgrade: 0, schoolPresent: 0, schoolProsperity: 0, subsidize: 0, schoolAnnexed: 0, studentsBought: 0, schoolSale: 0
	},
	TFS: {
		farmUpgrade: 0, schoolUpgrade: 0, schoolPresent: 0, schoolProsperity: 0, subsidize: 0, schoolAnnexed: 0, studentsBought: 0, schoolSale: 0, compromiseWeek: 0
	},
	futaAddiction: 0,
	HA: {
		schoolUpgrade: 0, schoolPresent: 0, schoolProsperity: 0, subsidize: 0, schoolAnnexed: 0, studentsBought: 0, schoolSale: 0
	},
	NUL: {
		schoolUpgrade: 0, schoolPresent: 0, schoolProsperity: 0, subsidize: 0, schoolAnnexed: 0, studentsBought: 0, schoolSale: 0
	},

	IDNumber: 1,

	week: 1,

	weddingPlanned: 0,
	/** @type {string|Array<{ID:number, trainingRegimen:string}>} */
	personalAttention: "sex",
	/** @type {FC.SlaveStateOrZero}  */
	HeadGirl: 0,
	HGTimeInGrade: 0,
	HGEnergy: 0,
	HGCum: 0,
	/** @type {FC.SlaveStateOrZero} */
	Recruiter: 0,
	recruiterTarget: "desperate whores",
	recruiterProgress: 0,
	recruiterIdleRule: "number",
	recruiterIdleNumber: 20,
	recruiterIOUs: 0,
	bodyguardTrains: 1,
	/** @type {FC.SlaveStateOrZero} */
	Bodyguard: 0,
	/** @type {FC.SlaveStateOrZero} */
	Madam: 0,
	/** @type {FC.SlaveStateOrZero} */
	DJ: 0,
	/** @type {FC.SlaveStateOrZero} */
	Milkmaid: 0,
	milkmaidImpregnates: 0,
	/** @type {FC.SlaveStateOrZero} */
	Farmer: 0,
	StewardessID: 0,
	stewardessImpregnates: 0,
	/** @type {FC.SlaveStateOrZero} */
	Schoolteacher: 0,
	AttendantID: 0,
	/** @type {FC.SlaveStateOrZero} */
	Matron: 0,
	/** @type {FC.SlaveStateOrZero} */
	Nurse: 0,
	/** @type {FC.SlaveStateOrZero} */
	Wardeness: 0,
	/** @type {FC.SlaveStateOrZero} */
	Concubine: 0,

	justiceEvents: ["slave deal", "slave training", "majority deal", "indenture deal", "virginity deal", "breeding deal"], /* not in setupVars because we remove events from this array as they occur */
	prisonCircuit: ["low tier criminals", "gangs and smugglers", "white collar", "military prison"],
	prisonCircuitIndex: 0,

	ui: "start",
	tooltipsEnabled: 0,

	brandTarget: {primary: "left buttock", secondary: "left buttock", local: "left buttock"},
	brandDesign: {primary: "your initials", official: "your initials", local: "your initials"},

	scarTarget: {primary: "left cheek", secondary: "left cheek", local: "left cheek"},
	scarDesign: {primary: "generic", local: "generic"},

	oralTotal: 0,
	vaginalTotal: 0,
	analTotal: 0,
	mammaryTotal: 0,
	penetrativeTotal: 0,
	milkTotal: 0,
	cumTotal: 0,
	foodTotal: 0,
	birthsTotal: 0,
	abortionsTotal: 0,
	miscarriagesTotal: 0,
	pitKillsTotal: 0,
	pitFightsTotal: 0,

	collaboration: 0,
	traitor: 0,
	traitorType: 0,
	traitorWeeks: 0,
	traitorStats: 0,
	hackerSupport: 0,
	hostage: 0,
	hostageAnnounced: 0,
	hostageRescued: 0,
	hostageGiveIn: 0,
	rivalSet: 0,
	rivalryFS: 0,
	rivalryFSAdopted: 0,
	rivalryFSRace: 0,
	rivalOwner: 0,
	rivalOwnerEnslaved: 0,
	rivalryPower: 0,
	rivalryDuration: 0,
	rivalRace: 0,
	rivalGender: 0,
	nationHate: 0,
	slaveMedic: 0,
	PShoot: 0,
	PSnatch: 0,
	PRaid: 0,
	PRaidTarget: 0,
	PAidTarget: "",
	PAid: 0,
	PPit: 0,

	dispensary: 0,
	dispensaryUpgrade: 0,
	organFarmUpgrade: 0,
	completedOrgans: [],
	ImplantProductionUpgrade: 0,
	permaPregImplant: 0,
	injectionUpgrade: 0,
	hormoneUpgradeMood: 0,
	hormoneUpgradeShrinkage: 0,
	hormoneUpgradePower: 0,
	pubertyHormones: 0,
	dietXXY: 0,
	dietCleanse: 0,
	cumProDiet: 0,
	dietFertility: 0,
	curativeUpgrade: 0,
	growthStim: 0,
	reproductionFormula: 0,
	aphrodisiacUpgrade: 0,
	aphrodisiacUpgradeRefine: 0,
	healthyDrugsUpgrade: 0,
	superFertilityDrugs: 0,
	bellyImplants: 0,
	cervixImplants: 0,
	meshImplants: 0,
	prostateImplants: 0,
	youngerOvaries: 0,
	sympatheticOvaries: 0,
	fertilityImplant: 0,
	asexualReproduction: 0,
	animalOvaries: 0, /* {pigOvaries: 0, canineOvaries: 0, horseOvaries: 0, cowOvaries: 0} currently unused*/
	animalTesticles: 0, /* {pigTestes: 0, dogTestes: 0, horseTestes: 0, cowTestes: 0} currently unused*/
	animalMpreg: 0, /* {pigMpreg: 0, dogMpreg: 0, horseMpreg: 0, cowMpreg: 0} currently unused*/
	geneticMappingUpgrade: 0,
	pregnancyMonitoringUpgrade: 0,
	cloningSystem: 0,
	geneticFlawLibrary: 0,

	surgeryUpgrade: 0,

	barracks: 0,
	mercenaries: 0,
	mercenariesHelpCorp: 0,
	personalArms: 0,

	gingering: 0,
	beforeGingering: 0,
	gingeringDetected: 0,
	gingeringDetection: 0,
	surgeryDescription: 0,
	encyclopedia: "How to Play",

	trinkets: [],
	SPcost: 1000,
	debtWarned: 0,
	internationalTrade: 1,
	internationalVariety: 0,
	slaveCostFactor: 0.95,
	menialDemandFactor: 0,
	menialSupplyFactor: 0,
	demandTimer: 0,
	supplyTimer: 0,
	elapsedDemandTimer: 0,
	elapsedSupplyTimer: 0,
	slaveCostRandom: 0,
	deltaDemand: 0,
	deltaDemandOld: 0,
	deltaSupply: 0,
	deltaSupplyOld: 0,
	NPCSexSupply: {
		lowerClass: 3000, middleClass: 3000, upperClass: 3000, topClass: 3000
	},
	NPCMarketShare: {
		lowerClass: 1000, middleClass: 1000, upperClass: 1000, topClass: 1000
	},
	sexSubsidies: {
		lowerClass: 0, middleClass: 0, upperClass: 0, topClass: 0
	},
	sexSupplyBarriers: {
		lowerClass: 0, middleClass: 0, upperClass: 0, topClass: 0
	},
	facilityCost: 100,
	enduringRep: 1000,
	rep: 0,
	repLastWeek: 0,

	arcologyUpgrade: {
		drones: 0, hydro: 0, apron: 0, grid: 0, spire: 0
	},

	AGrowth: 2,
	ACitizens: 4250,
	lowerClass: 3120,
	LSCBase: 800,
	visitors: 0,
	rentDefaults: {
		lowerClass: 20, middleClass: 50, upperClass: 180, topClass: 650
	},
	rent: {
		lowerClass: 20, middleClass: 50, upperClass: 180, topClass: 650
	},
	rentEffectL: 1,
	middleClass: 890,
	MCBase: 200,
	rentEffectM: 1,
	upperClass: 200,
	UCBase: 40,
	rentEffectU: 1,
	topClass: 40,
	TCBase: 20,
	rentEffectT: 1,
	GDP: 278.6,
	NPCSlaves: 900,
	ASlaves: 900,
	AProsperityCap: 0,

	food: 125000,
	foodLastWeek: 0,
	foodProduced: 0,
	foodStored: 0,
	farmyardFoodCost: 5,
	foodCost: 25,
	foodMarket: 0,
	foodRate: {
		slave: 2, lower: 1.8, middle: 2, upper: 2.2, top: 2.4
	},
	foodConsumption: 0,	/* total amount food consumed per week */
	revealFoodEffects: 0,
	rations: 0,

	building: {},

	menials: 0,
	fuckdolls: 0,
	menialBioreactors: 0,
	prestigeAuctioned: 0,
	slaveMarketLimit: 20,
	slavesSeen: 0,

	slaveOrphanageTotal: 0,
	citizenOrphanageTotal: 0,
	privateOrphanageTotal: 0,
	breederOrphanageTotal: 0,

	LurcherID: 0,
	coursed: 0,
	StudID: 0,
	StudCum: 0,
	raided: 0,

	expiree: 0,
	retiree: 0,
	birthee: 0,
	FSSlaveProfLawTrigger: 0,
	citizenRetirementTrigger: 0,
	FSSupLawTrigger: 0,
	FSSubLawTrigger: 0,
	nicaea: 0,
	nicaeaAnnounceable: 0,
	nicaeaAnnounced: 0,
	nicaeaPreparation: 0,
	nicaeaInvolvement: -2,
	nicaeaPower: 0,
	nicaeaHeld: 0,
	nicaeaFocus: "",
	nicaeaAssignment: "",
	nicaeaAchievement: "",
	nicaeaName: "",
	nicaeaInfluence: 0,
	peacekeepers: 0,
	peacekeepersFate: 0,
	peacekeepersGone: 0,
	mercRomeo: 0,

	oralUseWeight: 5,
	vaginalUseWeight: 5,
	analUseWeight: 5,

	weatherToday: {},

	customSlaveOrdered: 0,
	/* I am not a slave object! Do not treat me like one! */
	customSlave: {},

	huskSlaveOrdered: 0,
	huskSlave: {},

	/* non-vanilla shit*/

	targetAge: 18,
	pubertyLength: 5,
	maxGrowthAge: 24,

	/* Job Fulfillment Center */
	JFCOrder: 0,
	Role: "",

	cheatMode: 0,
	cheatModeM: 1,
	experimental: {
		nursery: 0,
		food: 0,
		animalOvaries: 0,
		dinnerParty: 0
	},
	NaNArray: [],

	/* Misc mod variables */
	recruiterEugenics: 0,

	prostheticsUpgrade: 0,
	adjustProstheticsCompleted: 0,
	adjustProsthetics: [], /* format: {id: string, workleft: int, slaveID: int}*/
	/* task: {type: "research"/"craft/craftFit", id: string, workLeft: int, [if constructFit] slaveID: int}*/
	researchLab: {
		level: 0,
		aiModule: 1,
		tasks: [],
		maxSpace: 0,
		hired: 0,
		menials: 0,
	},
	prosthetics: {},

	merchantFSWares: App.Data.FSWares,
	merchantIllegalWares: App.Data.illegalWares,
	RapidCellGrowthFormula: 0,
	UterineRestraintMesh: 0,
	PGHack: 0,
	BlackmarketPregAdaptation: 0,

	diversePronouns: 0,

	/* Security Expansion */
	wasToggledBefore: 0,
	/* moved first build to post toggle */

	/* Career-skill gain */
	masteredXP: 200,

	/* Weather effect on economy */
	antiWeatherFreeze: 0,
	econWeatherDamage: 0,
	disasterResponse: 0,

	postSexCleanUp: 1,

	sideBarOptions: {
		Cash: 1, Upkeep: 1, SexSlaveCount: 1, roomPop: 1, Rep: 1, GSP: 1, Authority: 1, Security: 1, Crime: 1, confirmWeekEnd: 0,
	},
	DefaultBirthDestination: "individually decided fates",
	legendaryFacility: 0,
	heroSlavesPurchased: [],
	fcnn: [
		("...coming up at the top of the hour: Catgirl slaves, science fact or science fiction..."),
		("...coming up at the top of the hour: Malnockestivi Smith, Free Cities' first MtFtMtFtH transgendered person..."),
		("...new arcology construction up 23% worldwide this year, according to..."),
		("...United States Congress spends 1,264th consecutive day gridlocked over post office..."),
		("...coming up at the top of the hour: Arcology owners: oversexed oligarchs or attractive, oversexed oligarchs?..."),
		("...coming up at the top of the hour: Anal sex: not just for sex any more..."),
		("...coming up at the top of the hour: Oral sex: the new hello..."),
		("...new book by prominent feminist suggests that women should not be used as sexual appliances..."),
		("...just ahead, interview with Desha Moore, prominent advocate for compulsory female enslavement..."),
		("...just ahead, Slave Market Trends: will the pierced anus be in again this year..."),
		("...just ahead, Slave Market Trends: upstart slave trainers avoid implants..."),
		("...implant technology firm BusTech notches successful initial public offering..."),
		("...the upcoming shortage of authentic leather and what it means for the whip industry..."),
		("...dairy conglomerate Creem Inc. denies allegations of adulterating breast milk with..."),
		("...two-time award-winning actress Linda Loveless debuted new implants on the red carpet this..."),
		("...dick size: are your slaves lying to you when they tell you you're too big..."),
		("...just ahead, slave expert's opinion on best shemale slaves to use for double penetration..."),
		("...Free Cities social conservatives criticize marriage, say your slaves should be enough..."),
		("...councilman Taggart suggested in a public address that involuntary enslavement..."),
		("...councilman Taggart denies allegations that he has remained faithful to his wife..."),
		("...councilman Taggart presented evidence that regulation of the sex slave market would..."),
		("...after a word from our sponsors. Creem Inc.: for all your dairy needs..."),
		("...after a word from our sponsors. Horstmann Ltd, Free Cities' finest whipmakers..."),
		("...after a word from our sponsors. Coming soon to theaters, Quintuple, the musical..."),
		("...critical of low-end slave training corporation Wallerson & Sons for practices that they say..."),
		("...training corporation Wallerson & Sons called a study on slave illness rates 'ludicrous,' but..."),
		("...our tech correspondent: the possibilities of virally-administered gene therapy..."),
		("...our tech correspondent: breakthrough in in-vitro drug treatments that promise to..."),
		("...our tech correspondent: next year to see release of two competing aphrodisiacs..."),
		("...our tech correspondent: the coming permanent aphrodisiac implants, and what they mean..."),
		("...Sex Slaves in Space: what it takes to keep a mining crew happy for an 18-month contract..."),
		("...the implant-drug balance: how much tissue growth is necessary to support larger..."),
		("...the actress stated that the cut to full nudity in the script violated contractual..."),
		("...doping scandal as Slave Games watchdog alleges champion used internal reservoir of lube..."),
		("...next on Extreme Surgery: the mouthpussy experimenters and what they..."),
		("...'A hole's a hole,' said CEO of upstart budget glory hole franchise..."),
		("...underground slave pit fights step into the light this evening as..."),
		("...underground slave pit fight champion, freed yesterday, sells herself back into..."),
		("...with the lead designer of the MP17, the new machine pistol marketed specifically for bodyguards..."),
		("...the new Aegis drone series: because your arcology's security is your most important possession..."),
		("...the BAe Goshawk: because you deserve to travel at twice the speed of sound in the finest style..."),
		("...this year's Goat.cx award for outstanding orifice innovation goes to..."),
		("...public controversy over cannibalism. Decadence taken too far or an acceptable next step..."),
		("...sixth day of street cleaners' strike. Spokesman for the strikers: 'It's getting too nasty..."),
		("...debuts new book, 'So Long, And Thanks For All The Dicks', in which the recently retired sex slaves tell-all about..."),
		("...cure for lactose intolerance, for which he was awarded the International Association of Pastoralist..."),
		("...from the Free Cities have become increasingly common clientele for the black market..."),
		("...a risky gamble on the three-hour-long hardcore sex scene, but the box office figures for just..."),
	],
};

App.Data.ignoreGameStateVariables = [
	// pronouns
	"Mothers",
	"mothers",
	"Fathers",
	"Husbands",
	"Husband",
	"Brother",
	"Son",
	"Shota",
	"Men",
	"Man",
	"fathers",
	"husbands",
	"husband",
	"brother",
	"son",
	"shota",
	"men",
	"man",
	"Mother",
	"Wives",
	"Wife",
	"Sister",
	"Daughter",
	"Loli",
	"Women",
	"Woman",
	"mother",
	"wives",
	"wife",
	"sister",
	"daughter",
	"loli",
	"women",
	"woman",
	"Girl",
	"Herself",
	"Hers",
	"Her",
	"She",
	"girl",
	"herself",
	"hers",
	"her",
	"she",
	"Father",
	"father",
	"Boy",
	"Himself",
	"His",
	"Him",
	"He",
	"boy",
	"himself",
	"his",
	"him",
	"he",

	// Enunciate
	"enunciate"
];
